public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/coolreader/
Date: Fri, 30 Oct 2020 15:32:20 +0000 (UTC)	[thread overview]
Message-ID: <1604071895.a173c8dcbd6e1865a91f89d06a0cd6f153785514.grozin@gentoo> (raw)

commit:     a173c8dcbd6e1865a91f89d06a0cd6f153785514
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 15:31:35 2020 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Oct 30 15:31:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a173c8dc

app-text/coolreader: bump to 3.2.50

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 app-text/coolreader/Manifest                 |  1 +
 app-text/coolreader/coolreader-3.2.50.ebuild | 96 ++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/app-text/coolreader/Manifest b/app-text/coolreader/Manifest
index 0c9afd92e85..eeffc59a41d 100644
--- a/app-text/coolreader/Manifest
+++ b/app-text/coolreader/Manifest
@@ -2,3 +2,4 @@ DIST coolreader-3.2.2.1.tar.gz 12463566 BLAKE2B 208026a87b36a06cd0a2e83b60bb5061
 DIST coolreader-3.2.39.tar.gz 17679570 BLAKE2B e84fb7d8032ae62fec24a74a9cebab086664a2ed3827f0664e667a4ab3b8d76b722790958f71f5fcd79729238e897c6592059f9b45eb4069c9ad483883bc0600 SHA512 1b92b35750174a8ef4df4b7c4f33bb9fcc94b36008c08a7f9d1f8e85c6b642c5b037e0673a783cde1aa98296887bb286c4a2da186911b26f298f689605e1eb4b
 DIST coolreader-3.2.45.tar.gz 20290340 BLAKE2B a4e6218965618a1b0938606ca323534112a5d7b64a1d56e06f56ba8b2e5591d380d7fb2aeb9c37d007fb834963a42e684e2af939720272c3a7494e5afc65501e SHA512 d7dc9921b74d1da236aeb02edcb39d44dfcfb9da5d6d3b1bf428157f67415c19af218c2454a602828d12d0c6d8c80d1335e92101acda1af8abd6bd312900c33c
 DIST coolreader-3.2.49.tar.gz 21398327 BLAKE2B 9a63f34d661f7c12d55e08788edb0c348d33c67708890e89a857975ce3a6fc82d8788dc0a15ad18e025d68254293b1b34977b2ffe24ea19ab4865727d5afbdcb SHA512 06c8416c33ccf939c0292b573352c097c4b2a0b1390181428e5f1bf08e145f1fa1f8ebdcf658bb0f9e8846c1fd5a57a67fb075b8e7285e1e7602e26aba6790b0
+DIST coolreader-3.2.50.tar.gz 21252394 BLAKE2B 68550656c644d623e24a7da310baf77881c72621db03f481eeaaceddc0a3c77ecd4d2098c4afe0b56fc50a67f471a9a6a20c172590365bd888222894d27c1826 SHA512 01417c1daae5da6ebb4d92fd68693d3aff09013d1f5679a30138941e23f79db58bdf2b20721deb10ad3d0b9ab0530f8237aeaa2b6f1c1fabbff1c43f48d68ac3

diff --git a/app-text/coolreader/coolreader-3.2.50.ebuild b/app-text/coolreader/coolreader-3.2.50.ebuild
new file mode 100644
index 00000000000..0b26482993e
--- /dev/null
+++ b/app-text/coolreader/coolreader-3.2.50.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+WX_GTK_VER="3.0"
+PLOCALES="bg cs de es hu pl ru uk"
+inherit cmake-utils wxwidgets l10n xdg-utils gnome2-utils eapi7-ver
+
+CR_PV=$(ver_rs 3 '-')
+
+if [ "${PV}" != 9999 ]
+then
+	SRC_URI="https://github.com/buggins/${PN}/archive/cr${CR_PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/${PN}-cr${CR_PV}"
+else
+	inherit git-r3
+	# github mirror has some new commits to fix page margins settings
+	# sourceforge mirror saved as backup
+	#EGIT_REPO_URI="git://git.code.sf.net/p/crengine/crengine"
+	EGIT_REPO_URI="https://github.com/buggins/${PN}.git"
+	SRC_URI=""
+fi
+
+DESCRIPTION="CoolReader - reader of eBook files (fb2,epub,htm,rtf,txt)"
+HOMEPAGE="https://github.com/buggins/coolreader/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="wxwidgets"
+
+CDEPEND="sys-libs/zlib
+	media-libs/libpng:0
+	virtual/jpeg:0
+	media-libs/freetype
+	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
+	!wxwidgets? ( dev-qt/qtcore:5 dev-qt/qtgui:5 dev-qt/qtwidgets:5 )"
+DEPEND="${CDEPEND}
+	!wxwidgets? ( dev-qt/linguist-tools:5 )"
+RDEPEND="${CDEPEND}
+	wxwidgets? ( || ( media-fonts/liberation-fonts media-fonts/corefonts ) )"
+
+for lang in ${PLOCALES}; do
+	IUSE="${IUSE} l10n_${lang}"
+done
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	# locales
+	l10n_find_plocales_changes "${S}"/cr3qt/src/i18n 'cr3_' '.ts'
+	local lang langs
+	langs=""
+	for lang in ${PLOCALES}; do
+		if use l10n_${lang}; then
+			langs="${langs} ${lang}"
+		fi
+	done
+	sed -e "s|SET(LANGUAGES .*)|SET(LANGUAGES ${langs})|" \
+		-i "${S}"/cr3qt/CMakeLists.txt \
+		|| die "sed CMakeLists.txt failed"
+}
+
+src_configure() {
+	CMAKE_USE_DIR="${S}"
+	CMAKE_BUILD_TYPE="Release"
+	if use wxwidgets; then
+		setup-wxwidgets
+		local mycmakeargs=(-D GUI=WX)
+	else
+		local mycmakeargs=(-D GUI=QT5)
+	fi
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+	if ! use wxwidgets; then
+		mv "${D}"usr/share/doc/cr3/changelog.gz "${D}"usr/share/doc/${PF}/ || die "mv changelog.gz failed"
+		rmdir "${D}"usr/share/doc/cr3 || die "rmdir doc/cr3 failed"
+		gunzip "${D}"usr/share/doc/${PF}/changelog.gz || die "gunzip changelog.gz failed"
+		gunzip "${D}"usr/share/man/man1/cr3.1.gz || die "gunzip cr3.1.gz failed"
+	fi
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+	xdg_mimeinfo_database_update
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2020-10-30 15:32 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-10-30 15:32 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-01-03 10:55 [gentoo-commits] repo/gentoo:master commit in: app-text/coolreader/ Andrey Grozin
2023-01-03 10:51 Andrey Grozin
2022-11-20  9:09 Andrey Grozin
2022-11-18  7:42 Jakov Smolić
2022-11-18  7:04 Jakov Smolić
2022-04-06 12:50 Andrey Grozin
2021-12-01 15:54 Sam James
2021-10-09 19:47 Sam James
2021-09-13 14:54 Andrey Grozin
2021-09-13 14:52 Andrey Grozin
2021-09-01 15:32 Andrey Grozin
2021-08-14 12:29 Andrey Grozin
2021-05-27 10:20 Andrey Grozin
2021-05-27  6:55 Agostino Sarubbo
2021-05-26  8:11 Sam James
2021-04-26 13:44 Andrey Grozin
2021-04-26 13:42 Andrey Grozin
2021-04-21 18:53 Sam James
2021-03-10 14:09 Andrey Grozin
2021-03-09  4:36 Andrey Grozin
2021-03-08 23:01 Sam James
2021-02-28 12:16 Andrey Grozin
2021-02-28 12:14 Andrey Grozin
2021-02-08 13:19 Andrey Grozin
2020-12-29  7:57 Sam James
2020-12-27 12:35 Andrey Grozin
2020-12-27 12:34 Andrey Grozin
2020-10-04 16:59 Sam James
2020-09-29 16:53 Andrey Grozin
2020-08-14  9:42 Andrey Grozin
2020-05-09 10:20 Andrey Grozin
2020-01-30 16:40 Andrey Grozin
2018-11-09 14:08 Andrey Grozin
2018-11-03 11:47 Andrey Grozin
2018-11-03 11:45 Andrey Grozin
2018-09-05 15:42 Andrey Grozin
2018-09-05 15:40 Andrey Grozin
2018-08-23 11:37 Andrey Grozin
2018-05-23 18:13 Andrey Grozin
2018-05-23 18:09 Andrey Grozin
2018-01-04  8:40 Andrey Grozin
2017-12-31  2:39 Andrey Grozin
2017-12-31  2:37 Andrey Grozin
2017-09-24 10:36 Andrey Grozin
2017-09-24 10:32 Andrey Grozin
2017-08-31 14:17 Andrey Grozin
2017-08-31  3:18 Andrey Grozin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1604071895.a173c8dcbd6e1865a91f89d06a0cd6f153785514.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox